import matplotlib.pyplot as plt

data = {"a": 25, "b": 30, "c": 17, "d": 10}  # set data to plot
plt.bar(list(data.keys()), data.values(), color=("g","k","c","r"),
        zorder=2, tick_label=list(data.keys()))
# plot bars with desired colors and bring them up (zorder)
plt.grid(zorder=1, linestyle=":", linewidth=1, color="k")
# brings dotted grid behid bars and set width and color of grid
plt.xticks(list(data.keys()), ["$a_1$", "$b_1$", "$c_1$", "$d_1$"])  # set x labels
plt.xlabel("$categories$")  # set description of x axis
plt.ylabel("$amount$")  # set description of y axis
plt.title("Bar graph", fontweight="bold")  # make bold title
plt.savefig('bar_graph.eps', format='eps', dpi=1000)  # save figure as svg with 1000 dpi
plt.show()  # show figure with graph
