import numpy as np
import matplotlib.pyplot as plt


x = np.arange(0, 1.0, 0.01)  # prepare x
y = 10 + np.exp(x) * (np.sin(10 * x))  # prepare data to plot
y_error = 0.15 + 0.15 * np.sqrt(x)  # prepare errors

# create figure for 2 plots in row sharing y axis
fig, axs = plt.subplots(nrows=1, ncols=2, sharey=True)
ax = axs[0]  # select first subplot
ax.scatter(x[::3], y[::3], marker=".", color="b")
ax.set_xlabel("x")
ax.set_ylabel("y(x)")
# plot scatter graph with blue dots using every 3rd point of x and y
ax.set_title("Scatter graph")  # set subplot title
ax = axs[1]  # select second subplot
# plot errorbar graph with error bars only for every 5th sample
# graph has red color, errorbars have black color
ax.errorbar(x, y, yerr=y_error, errorevery=5, ecolor="k", color='r')
ax.set_title("Error bar graph")  # set tile of second subplot
ax.set_xlabel("x")
# set title of subplots
fig.suptitle("Scatter graph and errorbar graph")
plt.savefig("2graphs.png", dpi=1000)  # save figure as png with 1000 dpi
plt.show()  # show window with graphs