from mpl_toolkits import mplot3d
import matplotlib.pyplot as plt
from matplotlib import cm
from matplotlib.ticker import LinearLocator, FormatStrFormatter
import numpy as np


fig = plt.figure()
ax = fig.gca(projection='3d')  # set type of graph projection
X = np.arange(-3, 3, 0.25)  # prepare x values
Y = np.arange(-3, 3, 0.25)  # prepare y values
X, Y = np.meshgrid(X, Y)  # creat grid made of x and y axis
Z = np.cos(np.sqrt(X**2 + Y**2))  # compute function values based on grid
surf = ax.plot_surface(X, Y, Z, cmap=cm.seismic, antialiased=True)
# plot surface, with specific color map
ax.set_zlim(-1.0, 1.0) # set z axis limits
fig.colorbar(surf, shrink=0.4, aspect=5)
# add colorbar right to graph with 0.4 size
fig.savefig("3d_graph.png", dpi=1000)  # save graph as png with 1000 dpi
plt.show()  # show window with graph