import numpy as np
import matplotlib.pyplot as plt


r = np.arange(0, 1, 0.002)  # prepare radius
theta = 10 * np.pi * r  # prepare angle

ax = plt.subplot(111, projection='polar')  #set 1 subplot with polar projection
ax.plot(theta, r, color="r")  # plot red graph
ax.set_rmax(1)  # set maximum of r axis
ax.set_rticks([0.25, 0.5, 0.75, 1])  # set r ticks
ax.set_rlabel_position(90)  # rotate l labels to +90 degrees from default location
ax.grid(True, color="k")  # make grid with black color
ax.set_title("Graph in polar coordinates", va='bottom')  # set graph title
plt.savefig("polar.png", dpi=300)  # save figure as png with 300dpi
plt.show()  # show window with graph