import matplotlib.pyplot as plt
import numpy as np

x = np.arange(0, 2 * np.pi, 0.01)
y = np.sin(x)

plt.plot(x, y, color="r")  # plot values in y to against values in x
plt.xlim(x[0], x[-1])  # set x axis limits
plt.ylim(min(y) + 0.1 * min(y), max(y) + 0.1 * max(y))  # set y axis limits
plt.title("$y = sin(x)$")  # graph title
plt.xlabel("$x$")  # naming x axis with latex style font
plt.ylabel("$y(x)$")  # naming y axis
plt.grid()  # turn on grid
plt.tight_layout()  # removes extra space around graph
plt.axhline(y=0, color='k')  # make bold x axis at y=0
plt.legend(["Sine function"], loc=3)  # add legend with desired text on desired position
plt.savefig("sine.png")  # save figure to file
plt.show()  # show window with graph